org.apache.ignite.ml.util.genetic

## Enum SelectionStrategy

- java.lang.Object
- - java.lang.Enum<SelectionStrategy>
  - - org.apache.ignite.ml.util.genetic.SelectionStrategy

- All Implemented Interfaces:
    Serializable, Comparable<SelectionStrategy>

      public enum SelectionStrategy
      extends Enum<SelectionStrategy>

  Please, have a look at https://en.wikipedia.org/wiki/Selection_(genetic_algorithm).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ROULETTE_WHEEL` Roulette wheel.
    `TOURNAMENT` Tournament.
    `TRUNCATION` Truncation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectionStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SelectionStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROULETTE_WHEEL

          public static final SelectionStrategy ROULETTE_WHEEL

      Roulette wheel.

    - #### TRUNCATION

          public static final SelectionStrategy TRUNCATION

      Truncation.

    - #### TOURNAMENT

          public static final SelectionStrategy TOURNAMENT

      Tournament.

  - ### Method Detail

    - #### values

          public static SelectionStrategy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionStrategy c : SelectionStrategy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectionStrategy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022